<?php
/**
 * WLFMC wishlist integration with astra theme
 *
 * @author MoreConvert
 * @package Smart Wishlist For More Convert
 * @since 1.3.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

add_action( 'init', 'wlfmc_astra_integrate' );

/**
 * Integration with Astra theme
 *
 * @return void
 */
function wlfmc_astra_integrate() {

	if ( class_exists( 'Astra_Theme_Options' ) ) {

		add_filter( 'wlfmc_loop_positions', 'wlfmc_astra_fix_loop_position' );

	}

}

/**
 * Fix loop position
 *
 * @param array $positions all loop positions.
 *
 * @return array
 */
function wlfmc_astra_fix_loop_position( array $positions ): array {

	$positions['image_top_left']  = array(
		'hook'     => 'woocommerce_before_shop_loop_item',
		'priority' => 7,
	);
	$positions['image_top_right'] = array(
		'hook'     => 'woocommerce_before_shop_loop_item',
		'priority' => 7,
	);

	return $positions;
}
