<?php
/**
 * WLFMC wishlist integration with shopengine plugin
 *
 * @name ShopEngine
 * @version 3.0.0
 * @slug shopengine
 * @url  https://wpmet.com/plugin/shopengine
 *
 * @author MoreConvert
 * @package Smart Wishlist For More Convert
 * @since 1.4.3
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

add_action( 'init', 'wlfmc_shopengine_integrate' );

/**
 * Integration with shopengine plugin
 *
 * @return void
 */
function wlfmc_shopengine_integrate() {
	if ( class_exists( 'ShopEngine' ) ) {
		add_filter( 'woocommerce_loop_add_to_cart_link', 'wlfmc_shopengine_print_button_in_shop', 10, 2 );
	}
}

/**
 * Wishlist loop add to cart link.
 *
 * @param string $add_to_cart_html    link html.
 * @param string $product product object.
 */
function wlfmc_shopengine_print_button_in_shop( $add_to_cart_html, $product ) {
	$position = apply_filters( 'shopengine/module/wishlist/put_icon_in_side', 'before' );

	if ( 'after' === $position ) {

		$before = '';
		$after  = do_shortcode( '[wlfmc_add_to_wishlist is_single="false" button_type="icon"]' );

	} else {

		$before = do_shortcode( '[wlfmc_add_to_wishlist is_single="false" button_type="icon"]' );
		$after  = '';
	}

	return $before . $add_to_cart_html . $after;

}
